# Programming Bongocat!

A simple python program that catches all your global keyboard inputs and then pretends to press them (bongocat will press the keyboard with their left paw if the button is on the left side of the keyboard and with their right paw if it's on the right).

![bongocat_example](bongocat_example.gif)  
(example of me writing some stuff with the bongocat open)

## Usage

Dependencies:
- Python 2.7.x
- [PyHook][pyhook] (if using windows, [PyxHook][pyxhook] on linux)
- [Pygame][pygame]

When you've made sure your `python` is version 2.7.x,

**on Windows** you can run on
`python -m pip install pyhook`  
**for Linux**, [pyxhook sources](pyxhook.py) are included

After that install pygame with
`python -m pip install pygame`

And then you should be able to open bongocat with
`python main.py`

## License

Programming bongocat is licensed under the terms of the [MIT license][license]

This repository also contains the source code of [pyxhook][pyxhook], which is licensed under a [BSD license][license], with some modifications to fix [issue 25][pyxhook-issue]


[pyhook]: https://github.com/naihe2010/pyHook
[pyxhook]: https://github.com/JeffHoogland/pyxhook
[pyxhook-issue]: https://github.com/JeffHoogland/pyxhook/issues/25
[pygame]: https://www.pygame.org
[license]: LICENSE
[pyxhook-license]: PYXHOOK_LICENSE